layout_on_grid {igraph} | R Documentation

## Simple grid layout

### Description

This layout places vertices on a rectangulat grid, in two or three dimensions.

### Usage

    layout_on_grid(graph, width = 0, height = 0, dim = 2)

    on_grid(...)

    layout.grid.3d(graph, width = 0, height = 0)

### Arguments

`graph` | The input graph.
`width` | The number of vertices in a single row of the grid. If this is zero or negative, then for 2d layouts the width of the grid will be the square root of the number of vertices in the graph, rounded up to the next integer. Similarly, it will be the cube root for 3d layouts.
`height` | The number of vertices in a single column of the grid, for three dimensional layouts. If this is zero or negative, then it is determinted automatically.
`dim` | Two or three. Whether to make 2d or a 3d layout.
`...` | Passed to `layout_on_grid`.

### Details

The function places the vertices on a simple rectangular grid, one after the other. If you want to change the order of the vertices, then see the `permute` function.

### Value

A two-column or three-column matrix.

### Author(s)

Tamas Nepusz ntamas@gmail.com

### See Also

`layout` for other layout generators

Other graph layouts: `add_layout_`, `component_wise`, `layout_as_bipartite`, `layout_as_star`, `layout_as_tree`, `layout_in_circle`, `layout_nicely`, `layout_on_sphere`, `layout_randomly`, `layout_with_dh`, `layout_with_fr`, `layout_with_gem`, `layout_with_graphopt`, `layout_with_kk`, `layout_with_lgl`, `layout_with_mds`, `layout_with_sugiyama`, `layout_`, `merge_coords`, `norm_coords`, `normalize`

### Examples

    g <- make_lattice( c(3,3) )
    layout_on_grid(g)

    g2 <- make_lattice( c(3,3,3) )
    layout_on_grid(g2, dim = 3)

    ## Not run:
    plot(g, layout=layout_on_grid)
    rglplot(g, layout=layout_on_grid(g, dim = 3))

    ## End(Not run)

[Package igraph version 1.1.2 Index]